# post-processing statements for abaqus job
# run as: abaqus python this_script_name.py job_name 

import os
import sys
from libabaqus_python import *

# jobName is taken from a list of script arguments

jobName=sys.argv[1]
jobFile="jobs/"+jobName+"/"+jobName+".odb"

pwd=os.getcwd()

for step in ["statics0"]:

# prescribed displacement components

#	reportHistoryRequestParameter(jobFile,stepName=step,
#		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="U1") 
	reportHistoryRequestParameter(jobFile,stepName=step,
		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="U2") 
#	reportHistoryRequestParameter(jobFile,stepName=step,
#		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="U3") 

# calculated reaction force components 

#	reportHistoryRequestParameter(jobFile,stepName=step,
#		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="RF1")
	reportHistoryRequestParameter(jobFile,stepName=step,
		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="RF2") 
#	reportHistoryRequestParameter(jobFile,stepName=step,
#		instanceName="ASSEMBLY",setName="QQ",setType="root",parameter="RF3")

# stress component s3 == sig33

#reportComponentFromFieldRequest(jobFile, 
#	field="S", fComp=3, 
#	instanceName="BEAMINSTANCE",setName="SIF_LINE", setType="part", 
#	stepName="statics0",frames=[-1],
#)
#
## stress component s6 == sig23
#
#reportComponentFromFieldRequest(jobFile, 
#	field="S", fComp=6, 
#	instanceName="BEAMINSTANCE",setName="SIF_LINE", setType="part", 
#	stepName="statics0",frames=[-1],
#)

os.chdir(pwd)


